/*******************************************************************************
 * InterpTrack generated by Eliot.UELib using UE Explorer.
 * Eliot.UELib ? 2009-2015 Eliot van Uytfanghe. All rights reserved.
 * http://eliotvu.com
 *
 * All rights belong to their respective owners.
 *******************************************************************************/
class InterpTrack extends Object
    abstract
    native
    collapsecategories
    noexport
    hidecategories(Object);

enum ETrackActiveCondition
{
    ETAC_Always,
    ETAC_GoreEnabled,
    ETAC_GoreDisabled,
    ETAC_MAX
};

struct native SupportedSubTrackInfo
{
    var class<InterpTrack> SupportedClass;
    var string SubTrackName;
    var int GroupIndex;

    structdefaultproperties
    {
        SupportedClass=none
        SubTrackName=""
        GroupIndex=0
    }
};

struct native SubTrackGroup
{
    var string GroupName;
    var array<int> TrackIndices;
    var bool bIsCollapsed;
    var transient bool bIsSelected;

    structdefaultproperties
    {
        GroupName=""
        TrackIndices=none
        bIsCollapsed=false
        bIsSelected=false
    }
};

var private native const noexport Pointer VfTable_FInterpEdInputInterface;
var private native noexport Pointer CurveEdVTable;
var array<InterpTrack> SubTracks;
var editoronly array<editoronly SubTrackGroup> SubTrackGroups;
var editoronly transient array<editoronly SupportedSubTrackInfo> SupportedSubTracks;
var class<InterpTrackInst> TrackInstClass;
var() InterpTrack.ETrackActiveCondition ActiveCondition;
var string TrackTitle;
var bool bOnePerGroup;
var bool bDirGroupOnly;
var bool bDisableTrack;
var bool bIsAnimControlTrack;
var bool bSubTrackOnly;
var transient bool bVisible;
var transient bool bIsSelected;
var transient bool bIsRecording;
var editoronly bool bIsCollapsed;

defaultproperties
{
    TrackInstClass=class'InterpTrackInst'
    TrackTitle="Track"
    bVisible=true
}